Bug 30456 - Convert checkout history tabs to Bootstrap
Summary: Convert checkout history tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-05 12:36 UTC by Owen Leonard
Modified: 2022-04-15 11:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30456: Convert checkout history tabs to Bootstrap (3.82 KB, patch)
2022-04-05 12:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30456: Convert checkout history tabs to Bootstrap (3.68 KB, patch)
2022-04-05 12:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30456: Convert checkout history tabs to Bootstrap (3.83 KB, patch)
2022-04-05 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30456: Convert checkout history tabs to Bootstrap (3.88 KB, patch)
2022-04-06 11:07 UTC, Peter Vashchuk
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-05 12:36:39 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the checkout history template with Bootstrap.
Comment 1 Owen Leonard 2022-04-05 12:47:50 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2022-04-05 12:48:18 UTC
Created attachment 132968 [details] [review]
Bug 30456: Convert checkout history tabs to Bootstrap

This patch updates the circulation history page to replace jQueryUI tabs
with Bootstrap tabs. A minor JavaScript change is required to work
with the new HTML structure.

To test you'll view the staff interface circulation history page with
the OnSiteCheckouts system preference on and off.

- With OnSiteCheckouts off, locate a patron who has current and/or
  past checkouts.
- View the "Circulation history" page for that patron.
- The table of checkouts should display with no tabbed interface.

- With OnSiteCheckouts on, the page should show three tabs: All,
  Checkouts, and On-site checkouts.
- Confirm that clicking on each tab correctly filters the table, e.g.
  the On-site checkouts tab should show only on-site checkouts.
Comment 3 Séverine Queune 2022-04-05 14:04:52 UTC
Created attachment 132977 [details] [review]
Bug 30456: Convert checkout history tabs to Bootstrap

This patch updates the circulation history page to replace jQueryUI tabs
with Bootstrap tabs. A minor JavaScript change is required to work
with the new HTML structure.

To test you'll view the staff interface circulation history page with
the OnSiteCheckouts system preference on and off.

- With OnSiteCheckouts off, locate a patron who has current and/or
  past checkouts.
- View the "Circulation history" page for that patron.
- The table of checkouts should display with no tabbed interface.

- With OnSiteCheckouts on, the page should show three tabs: All,
  Checkouts, and On-site checkouts.
- Confirm that clicking on each tab correctly filters the table, e.g.
  the On-site checkouts tab should show only on-site checkouts.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Peter Vashchuk 2022-04-06 11:07:44 UTC
Created attachment 132986 [details] [review]
Bug 30456: Convert checkout history tabs to Bootstrap

This patch updates the circulation history page to replace jQueryUI tabs
with Bootstrap tabs. A minor JavaScript change is required to work
with the new HTML structure.

To test you'll view the staff interface circulation history page with
the OnSiteCheckouts system preference on and off.

- With OnSiteCheckouts off, locate a patron who has current and/or
  past checkouts.
- View the "Circulation history" page for that patron.
- The table of checkouts should display with no tabbed interface.

- With OnSiteCheckouts on, the page should show three tabs: All,
  Checkouts, and On-site checkouts.
- Confirm that clicking on each tab correctly filters the table, e.g.
  the On-site checkouts tab should show only on-site checkouts.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 5 Fridolin Somers 2022-04-12 09:42:41 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄